## python-graphviz 0.5.2

=== requirements.txt ===
# exact dependency versions used in development
# dependencies for testing and building
unittest2
nose
coverage
flake8
pep8-naming
wheel

=== debian/changelog ===
python-graphviz (0.5.2-1ubuntu1) artful; urgency=medium

  * Add test dependency on python3-all for multiple supported python3
    versions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Jun 2017 17:13:25 -0700

python-graphviz (0.5.2-1) unstable; urgency=low

  * Initial packaging (Closes: #849050) 
  * Note: Upstream name on pypi is graphviz, but that would conflict with the
    C graphviz source package name

 -- Diane Trout <diane@ghic.org>  Wed, 21 Dec 2016 13:55:52 -0800

=== debian/control ===
Source: python-graphviz
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               graphviz,
               python3-all,
               python3-coverage,
               python3-flake8,
               python3-pep8-naming,
               python3-pytest,
               python3-setuptools,
               python3-unittest2
Standards-Version: 3.9.8
Homepage: http://github.com/xflr6/graphviz
Testsuite: autopkgtest-pkg-python
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python3-graphviz
Architecture: all
Depends: graphviz, ${misc:Depends}, ${python3:Depends}
Description: Simple Python 3 interface for Graphviz
 This package facilitates the creation and rendering of graph descriptions in
 the DOT language of the Graphviz graph drawing software from Python.
 .
 Create a graph object, assemble the graph by adding nodes and edges, and
 retrieve its DOT source code string. Save the source code to a file and render
 it with the Graphviz installation of your system.
 .
 Use the ``view`` option/method to directly inspect the resulting (PDF, PNG,
 SVG, etc.) file with its default application. Graphs can also be rendered
 and displayed within Jupyter notebooks.
 .
 This contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=graphviz
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/test-output'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf .cache
	dh_auto_clean

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import graphviz; print(graphviz)" ; done
Depends: @, python3-all

=== debian/watch ===
version=3
opts=repack,compression=gzip,uversionmangle=s/graphviz/python-graphviz/ \
http://pypi.debian.net/graphviz/graphviz-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-graphviz 0.8.4

=== debian/changelog ===
python-graphviz (0.8.4-2) unstable; urgency=medium

  * Add additional test dependencies to autopkgtests tests

 -- Diane Trout <diane@ghic.org>  Mon, 23 Jul 2018 12:52:41 -0700

python-graphviz (0.8.4-1) unstable; urgency=medium

  [ Diane Trout ]
  * Add missing Vcs-* tags

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Diane Trout ]
  * New upstream release
  * Remove dh_auto_test-runs-the-tests-in-a-subdirectory patch
  * Update debhelper compat to 11
  * Update Standards-Version to 4.1.4. No changes needed.
  * Allow running tests multiple times.
  * Add additional dependencies for running tests
  * Remove unneeded Testsuite header
  * Install examples
  * Delete .pytest_cache so rebuilding in the same tree works
  * Delete .coverage and htmlcov files installed by mistake
  * Ignore test_pipe_pipe_invalid_data_mocked test requires pytest-mock >= 1.8
    - TODO: Delete after pytest-mock is updated

 -- Diane Trout <diane@ghic.org>  Sun, 22 Jul 2018 21:30:14 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: python-graphviz
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Diane Trout <diane@ghic.org>
+Maintainer: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                graphviz,
                python3-all,
                python3-coverage,
                python3-flake8,
+               python3-mock,
                python3-pep8-naming,
                python3-pytest,
+               python3-pytest-doctestplus,
+               python3-pytest-mock,
+               python3-pytest-cov,
                python3-setuptools,
                python3-unittest2
-Standards-Version: 3.9.8
-Homepage: http://github.com/xflr6/graphviz
-Testsuite: autopkgtest-pkg-python
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
+Standards-Version: 4.1.4
+Homepage: https://github.com/xflr6/graphviz
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-graphviz.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-graphviz
 
 Package: python3-graphviz
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=graphviz
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/test-output'
export PYBUILD_TEST_ARGS=-k 'not test_pipe_pipe_invalid_data_mocked'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf .cache .pytest_cache
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-graphviz/usr/lib/python3*/dist-packages/.coverage
	rm -rf debian/python3-graphviz/usr/lib/python3*/dist-packages/htmlcov

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do pushd "tests"
 ; echo "Testing with $py:"
 ; $py -m pytest -k 'not test_pipe_pipe_invalid_data_mocked'
 ; popd
 ; done
Depends: python3-all, @,
 python3-coverage,
 python3-flake8,
 python3-mock,
 python3-pep8-naming,
 python3-pytest,
 python3-pytest-doctestplus,
 python3-pytest-mock,
 python3-pytest-cov,
 python3-unittest2

## python-graphviz 0.14

=== debian/changelog ===
python-graphviz (0.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ TANIGUCHI Takaki ]
  * Team upload.
  * New upstream version 0.14
  * d/rules: remove test log
  * Bump Standards-Version to 4.5.0
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 27 Apr 2020 10:26:35 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                graphviz,
                python3-all,
@@ -16,7 +16,7 @@
                python3-pytest-cov,
                python3-setuptools,
                python3-unittest2
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://github.com/xflr6/graphviz
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-graphviz.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-graphviz

## python-graphviz 0.14.2

=== requirements.txt ===
# development environment: install in development mode
-e .[dev,test,docs]

=== debian/changelog ===
python-graphviz (0.14.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Diane Trout ]
  * New upstream release

 -- Diane Trout <diane@ghic.org>  Fri, 06 Nov 2020 14:45:15 -0800

python-graphviz (0.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.14.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 06 Sep 2020 11:31:55 +0900

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                python3-unittest2
 Standards-Version: 4.5.0
 Homepage: https://github.com/xflr6/graphviz
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-graphviz.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-graphviz
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphviz.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphviz
 
 Package: python3-graphviz
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,4 @@
 	dh_auto_install
 	rm -rf debian/python3-graphviz/usr/lib/python3*/dist-packages/.coverage
 	rm -rf debian/python3-graphviz/usr/lib/python3*/dist-packages/htmlcov
+	rm -f  debian/python3-graphviz/usr/lib/python3*/dist-packages/test-log.txt

## python-graphviz 0.20.1

=== debian/changelog ===
python-graphviz (0.20.1-1) unstable; urgency=medium

  [ Debian Janitor]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

  [ Diane Trout ] 
  * New upstream release

 -- Diane Trout <diane@ghic.org>  Wed, 18 Aug 2021 16:56:02 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                graphviz,
                python3-all,
@@ -16,7 +16,7 @@
                python3-pytest-cov,
                python3-setuptools,
                python3-unittest2
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/xflr6/graphviz
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphviz.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphviz

=== debian/tests/control ===
--- 
+++ 
@@ -15,4 +15,3 @@
  python3-pytest-mock,
  python3-pytest-cov,
  python3-unittest2
-

## python-graphviz 0.20.2

=== debian/changelog ===
python-graphviz (0.20.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1063952) (Closes: #1066796)
  * Remove pytest skip of test_pipe_pipe_data_mocked, resolved upstream.
  * Add only-one-conftest.patch to resolve import file mismatch pytest
    error.

 -- Diane Trout <diane@ghic.org>  Wed, 20 Mar 2024 10:30:07 -0700

python-graphviz (0.20.1+20240103-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot 0.20.1+20240103 to support Python 3.12
    (Closes: #1056473, #1058404)
  * remove obsolete dependencies on python3-mock & python3-unittest2
    (Closes: #1058968)
  * set "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jan 2024 21:09:04 +0100

python-graphviz (0.20.1-2) unstable; urgency=medium

  * Delete "doctest-output" directory from dist-packages
    (Closes: #1029297) Thanks Chris Lamb

 -- Diane Trout <diane@ghic.org>  Tue, 15 Aug 2023 13:06:33 -0700

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                graphviz,
                python3-all,
                python3-coverage,
                python3-flake8,
-               python3-mock,
                python3-pep8-naming,
                python3-pytest,
                python3-pytest-doctestplus,
                python3-pytest-mock,
                python3-pytest-cov,
                python3-setuptools,
-               python3-unittest2
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/xflr6/graphviz
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphviz.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphviz

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=graphviz
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/test-output'

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf .cache .pytest_cache
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-graphviz/usr/lib/python3*/dist-packages/.coverage
	rm -rf debian/python3-graphviz/usr/lib/python3*/dist-packages/htmlcov
	rm -f  debian/python3-graphviz/usr/lib/python3*/dist-packages/test-log.txt
	rm -rf debian/python3-graphviz/usr/lib/python3*/dist-packages/doctest-output

## python-graphviz 0.21

=== requirements.txt ===
# development environment: --editable install in development mode (includes all extras_require)
-e .[dev,test,docs]

=== debian/changelog ===
python-graphviz (0.21-2) unstable; urgency=medium

  * Team Upload
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Trim d/rules with new, shorter syntax
  * Bump d/watch to v4
  * Set Python Team as Maintainer per new team policy

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Oct 2025 11:35:51 +0100

python-graphviz (0.21-1) unstable; urgency=medium

  * New upstream release

 -- Diane Trout <diane@ghic.org>  Sun, 14 Sep 2025 10:00:36 -0700

python-graphviz (0.20.2-2) unstable; urgency=high

  * Team upload
  * Mark test dependencies as <!nocheck>
  * Add Python Team as Uploaders as this pkg is in its git

 -- Bastian Germann <bage@debian.org>  Sun, 13 Apr 2025 23:11:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: python-graphviz
-Maintainer: Diane Trout <diane@ghic.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Diane Trout <diane@ghic.org>,
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                graphviz,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-coverage,
+               python3-coverage <!nocheck>,
                python3-flake8,
                python3-pep8-naming,
-               python3-pytest,
-               python3-pytest-doctestplus,
-               python3-pytest-mock,
-               python3-pytest-cov,
+               python3-pytest <!nocheck>,
+               python3-pytest-doctestplus <!nocheck>,
+               python3-pytest-mock <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/xflr6/graphviz
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphviz.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphviz

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,10 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	rm -rf .cache .pytest_cache
-	dh_auto_clean
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rm -rf debian/python3-graphviz/usr/lib/python3*/dist-packages/.coverage
 	rm -rf debian/python3-graphviz/usr/lib/python3*/dist-packages/htmlcov
 	rm -f  debian/python3-graphviz/usr/lib/python3*/dist-packages/test-log.txt

=== debian/tests/control ===
--- 
+++ 
@@ -8,10 +8,8 @@
 Depends: python3-all, @,
  python3-coverage,
  python3-flake8,
- python3-mock,
  python3-pep8-naming,
  python3-pytest,
  python3-pytest-doctestplus,
  python3-pytest-mock,
  python3-pytest-cov,
- python3-unittest2

=== debian/watch ===
version=4
opts=repack,compression=gzip,uversionmangle=s/graphviz/python-graphviz/ \
https://pypi.debian.net/graphviz/graphviz-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
